Bug 315601 - It would be nice to anounce Fedora release when getting kickstart file
It would be nice to anounce Fedora release when getting kickstart file
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 13:10 EDT by Krzysio (Chris) Leszczynski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 12:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysio (Chris) Leszczynski 2007-10-02 13:10:55 EDT
Description of problem:

The current version of anaconda announces itself to http server as
 User-Agent: anaconda/11.2.0.66

It would be nice if anaconda announced the architecture and fedora release.
Perhaps in User-Agent line or separated lines, something like this:
  X-Anaconda-System-Release: Fedora-7
  X-Anaconda-Architecture: i386

It would help CGI script to select the proper kickstart file content.
Comment 1 Chris Lumens 2007-10-05 12:03:28 EDT
This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.